import request from '@/utils/request'

// 查询轮播设置列表
export function listLunbo(query) {
  return request({
    url: '/szxc/lunbo/list',
    method: 'get',
    params: query
  })
}

// 查询轮播设置详细
export function getLunbo(id) {
  return request({
    url: '/szxc/lunbo/' + id,
    method: 'get'
  })
}

// 新增轮播设置
export function addLunbo(data) {
  return request({
    url: '/szxc/lunbo',
    method: 'post',
    data: data
  })
}

// 修改轮播设置
export function updateLunbo(data) {
  return request({
    url: '/szxc/lunbo',
    method: 'put',
    data: data
  })
}

// 删除轮播设置
export function delLunbo(id) {
  return request({
    url: '/szxc/lunbo/' + id,
    method: 'delete'
  })
}
